.wti-aggregate-calculator-holder .radiolabel{width:150px; font-weight:bold; padding-right:8px;}
.wti-aggregate-calculator-holder :is(.wti-ac-density-holder,.wti-ac-areatype-holder)>.flex>div:not(.radiolabel) { padding:0 0 0.25em 0; justify-content: space-between; gap:0.5em;  } 
.wti-aggregate-calculator-holder .wti-ac-density-holder>.flex>div:not(.radiolabel)>.flex { justify-content: space-between; gap:0.5em; margin-bottom:var(--gridgap,2em); } 
.wti-aggregate-calculator-holder .wti-ac-density-holder input { margin-right:0.5em; }
.wti-aggregate-calculator-holder .wti-ac-density-holder label { margin-right:1em; }
.wti-aggregate-calculator-holder .wti-ac-density-holder .wti-ac-density-select-holder, .wti-aggregate-calculator-holder .wti-ac-density-holder .wti-ac-density-select-holder select, .wti-aggregate-calculator-holder table { width:100%; }
.wti-aggregate-calculator { --max-grids: 1; --gridgap:2em; display:grid; grid-template-columns: repeat(1, minmax(0, 1fr)); grid-template-columns: repeat(var(--max-grids,1), minmax(0, 1fr)); gap:var(--gridgap,2em);}
.wti-ac-areatype-fields-holder,.wti-ac-areatype-fields-holder .wti-ac-rectangle {grid-column: span var(--max-grids,2) / span var(--max-grids,2); display:grid; grid-template-columns: repeat(1, minmax(0, 1fr)); grid-template-columns: repeat(var(--max-grids,1), minmax(0, 1fr)); gap:var(--gridgap,2em); }
.wti-aggregate-calculator-holder option,select,input[type="radio"],label { cursor:pointer; }
.wti-aggregate-calculator-holder input { /*border:0; border-bottom:1px solid black;*/ padding:0.25em 0.5em;}
.wti-aggregate-calculator-holder select { /*border:1px solid black;*/ padding:0.25em 0.5em;}
.wti-aggregate-calculator-holder .wti-ac-total { grid-column: span var(--max-grids,2) / span var(--max-grids,2); display:flex; flex-wrap:wrap; flex-direction:row; width:100%; min-width:0; justify-content:center; color:black; padding:1em 0; margin-top:1em;}
.wti-aggregate-calculator-holder .wti-ac-total>div{ padding:1em 1em; color:black; background:#e0e0e0; border-radius: 5px;  display:flex; min-width:0; border:1px solid #000000; box-shadow: 5px 5px 10px -3px #000000;}
.wti-aggregate-calculator-holder .wti-ac-total>span{ margin-left:1em; margin-right:1em; display: flex;padding: 0.5em;justify-content: center;align-items: center;}
.wti-aggregate-calculator-holder .wti-ac-total>div>div:first-of-type{ padding:0.25em 0.5em; }
.wti-aggregate-calculator-holder .wti-ac-total>div>div:first-of-type>span:first-of-type{ margin-right:1em; }
.wti-aggregate-calculator-holder .wti-ac-total>div>div:first-of-type>span:last-of-type{ margin-right:0.5em; }
.wti-aggregate-calculator-holder [type="radio"] { margin:0 0.5em 0 0; padding:0; }
.wti-aggregate-calculator-holder input[type="number"] { width:150px; }
@media screen and (min-width: 830px){
	.wti-aggregate-calculator {--max-grids:2;  --gridgap:1em;} .wti-aggregate-calculator-holder .radiolabel{text-wrap:nowrap;}
}
@media screen and (min-width: 830px) and (max-width: 975px){
	.wti-aggregate-calculator-holder .radiolabel{width:75px; text-wrap:wrap;}
}
@media screen and (max-width: 500px){
	.wti-aggregate-calculator-holder .radiolabel { width: 75px; text-wrap:wrap; }
	.wti-ac-areatype-fields-holder>* .flex, .wti-aggregate-calculator-holder .wti-ac-depth{ flex-wrap:wrap; }
}



.wti-aggregate-calculator-holder div:has(>label):has(>label>span>input[type="radio"]) { display:flex; flex-direction:column; vertical-align:middle;}
.wti-aggregate-calculator-holder *:is(input,select) {
	border:1px solid #000000;
	border-radius:5px;
	color:black;
	background:#ffffff;
}
.wti-aggregate-calculator-holder *:is(input,select):is(:active,:focus,:focus-within,:focus-visible )  {
	border:1px solid #000000;
}
.wti-aggregate-calculator-holder *:is(input,select):not([type="radio"]) {
	box-shadow: 5px 5px 10px -3px #000000;
	margin: 0 0.25em 0.25em 0.25em;
}
.wti-aggregate-calculator-holder *:is(input,select):not([type="radio"]):is(:active,:focus,:focus-within,:focus-visible )  {
	box-shadow: 5px 5px 10px -3px #000000, inset 0 0 0 1px #000000;
}
.wti-aggregate-calculator-holder div:has(>div>label>span>input[type="radio"]) {
	border:1px solid #000000;
	box-shadow: 5px 5px 10px -3px #000000;
	border-radius: 5px;
	padding:0.25em 0.5em !important;
	background:#ffffff;
}

.wti-aggregate-calculator-holder .wti-ac-total-label { font-weight:600; }

.wti-aggregate-calculator-holder form {
display:flex; flex-direction:column; padding:1em; border-radius:5px; background:#f2f2f2; color:#000000; border:1px solid #000000dd;}
}